## virtualbox-hwe 6.1.4-dfsg

=== debian/changelog ===
virtualbox-hwe (6.1.4-dfsg-2ubuntu20.04.1) focal; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 05 Mar 2020 16:05:54 +0100

virtualbox (6.1.4-dfsg-2) unstable; urgency=medium

  * Apply upstream fix for ticket 19336, aka shared clipboard not working on
    Ubuntu host

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 05 Mar 2020 16:02:51 +0100

virtualbox-hwe (6.1.4-dfsg-1ubuntu20.04.1) focal; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 21 Feb 2020 09:41:48 +0100

virtualbox (6.1.4-dfsg-1) unstable; urgency=medium

  * Bump copyright years
  * New upstream version 6.1.4-dfsg
  * bump std-version to 4.5.0, no changes required
  * Patch refresh

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 21 Feb 2020 09:33:05 +0100

virtualbox-hwe (6.1.2-dfsg-1ubuntu20.04.1) focal; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Jan 2020 16:15:47 +0100

virtualbox (6.1.2-dfsg-1) unstable; urgency=medium

  * New upstream version 6.1.2-dfsg
  * Patch refresh

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Jan 2020 16:14:29 +0100

virtualbox-hwe (6.1.0-dfsg-3ubuntu19.10.1) focal; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 15 Dec 2019 15:38:32 +0100

virtualbox (6.1.0-dfsg-3) unstable; urgency=medium

  * Add cfg files to UnattendedUpgrades (Closes: #942175)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 15 Dec 2019 15:03:06 +0100

virtualbox-hwe (6.1.0-dfsg-2ubuntu19.10.1) focal; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 15 Dec 2019 12:29:33 +0100

virtualbox (6.1.0-dfsg-2) unstable; urgency=medium

  * Add missing library to the qt installation, useful to startup the program
    correctly. Thanks Vincas Dargis for the report (Closes: #946754)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 15 Dec 2019 12:19:34 +0100

virtualbox (6.1.0-dfsg-1) unstable; urgency=medium

  * New upstream version 6.1.0-dfsg
  * Patch refresh, drop patches now upstream:
    - 37-python-3.7-support.patch
    - drm-ttm-build-fix.patch
    - 016-linux-5-4.patch
    - acpica-unix-20191018.patch
  * Update VBox.sh with new tools
  * Bump std-version to 4.4.1
  * Conflict with official virtualbox-6.1 package
  * Remove gl/ogl files, dropped upstream.
  * Update vboxweb to work with the systemv upstream init script
  * Drop vboxpci kernel module, removed upstream
  * Drop VBoxREM.so file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Dec 2019 19:20:17 +0100

virtualbox-hwe (6.0.14-dfsg-4ubuntu19.10.1) focal; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Dec 2019 22:18:35 +0100

virtualbox (6.0.14-dfsg-4) unstable; urgency=medium

  * Fixup previous upload

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Dec 2019 22:17:14 +0100

virtualbox-hwe (6.0.14-dfsg-3ubuntu19.10.1) focal; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Nov 2019 12:41:15 +0100

virtualbox (6.0.14-dfsg-3) unstable; urgency=medium

  * Fix build with new gsoap (Closes: #945548)
  * Drop 81649 and take the archlinux version, that contains also rev 81586 and
    81587 (LP: #1848594)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Nov 2019 11:52:52 +0100

virtualbox-hwe (6.0.14-dfsg-2ubuntu19.10.1) focal; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Nov 2019 18:36:41 +0100

virtualbox (6.0.14-dfsg-2) unstable; urgency=medium

  * debian/patches/81649.patch:
    - upstream fixes for kernel 5.4 (LP: #1848594)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Nov 2019 18:29:20 +0100
