## virtualbox-hwe 6.1.6-dfsg

=== debian/changelog ===
virtualbox-hwe (6.1.6-dfsg-2ubuntu20.04.1) focal; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Apr 2020 10:12:46 +0200

virtualbox (6.1.6-dfsg-2) unstable; urgency=medium

  * Add proposed patch on ticket https://www.virtualbox.org/ticket/19494
    to fix compilation on 32bit guests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Apr 2020 10:10:03 +0200

virtualbox-hwe (6.1.6-dfsg-1ubuntu20.04.1) focal; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Apr 2020 17:56:42 +0200

virtualbox (6.1.6-dfsg-1) unstable; urgency=medium

  * New upstream version 6.1.6-dfsg
  * Drop upstream patches:
    - shared-clipboard
    - ftbfs-linux-5.6
  * Patch refresh

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Apr 2020 17:48:44 +0200

virtualbox-hwe (6.1.4-dfsg-4ubuntu20.04.1) focal; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 10 Apr 2020 13:27:58 +0200

virtualbox (6.1.4-dfsg-4) unstable; urgency=medium

  * Fixup previous upload, by grabbing upstream commits:
    #83484 #43473 #83471

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 10 Apr 2020 13:25:51 +0200

virtualbox-hwe (6.1.4-dfsg-3ubuntu20.04.1) focal; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 10 Apr 2020 12:30:42 +0200

virtualbox (6.1.4-dfsg-3) unstable; urgency=medium

  * Apply upstream fix for ticket 19312 to fix build with Linux 5.6.

 -- Konstantin Demin <rockdrilla@gmail.com>  Wed, 01 Apr 2020 11:52:17 +0300
